English Amiga Board


Go Back   English Amiga Board > Support > support.Other

 
 
Thread Tools
Old 08 September 2020, 10:55   #1
npagonis73
Registered User

npagonis73's Avatar
 
Join Date: Sep 2019
Location: Corfu / Greece
Posts: 139
Setpatch options and matches

I would like to ask the following about setpatch:
What are the setpatch options available for the 3 main Amiga OS (3.1, 3.9 and 3.1.4). Also what are the best matches of setpatch versions for each os?
npagonis73 is offline  
Old 08 September 2020, 12:09   #2
daxb
Registered User
 
Join Date: Oct 2009
Location: Germany
Posts: 2,650
Just type "setpatch ?" for each SetPatch version in a shell.
daxb is offline  
Old 08 September 2020, 12:37   #3
Thomas Richter
Registered User
 
Join Date: Jan 2019
Location: Germany
Posts: 572
SetPatch options as in "which versions of SetPatch do I have as an option" or as in "which command line option does SetPatch recognize"?
Thomas Richter is offline  
Old 08 September 2020, 14:37   #4
npagonis73
Registered User

npagonis73's Avatar
 
Join Date: Sep 2019
Location: Corfu / Greece
Posts: 139
What i mean is the following:

In my 3.1.4 system I use

3.1.4 Roms with Kickstart version 46.143
Setpatch 45.25
Workbench.library 45.194

In my 3.9 system I use

3.1 Roms with Kickstart version 45.57
Setpatch 44.38
Workbench.library 45.137

In my 3.1 system i use

3.1 Roms with Kickstart version 40.68
Setpatch 44.38
Workbench.library 45.137

Are there any other setpatch or Workbench.library versions that match better the systems above; are those the latest versions or are there any other ones;
Do you find the above combinations of Kickstart, Setpatch and lib correct or do they work better under different combination;

It would be interesting to see what are the combinations people use in their systems so we can experiment if needed....
npagonis73 is offline  
Old 08 September 2020, 15:08   #5
PeterK
Registered User
 
Join Date: Apr 2005
Location: Hangover
Posts: 2,786
Your 3.1.4 system should be ok.

Unfortunately, the workbench.libraries 45.133 - 45.138 all have introduced new bugs.

For your 3.9 system you can either use WB 45.132 (68020+ only) from my icon.library (bonus drawer) or WB 45.194 (any CPU) from OS 3.1.4. SetPatch 44.38 is ok.

On your 3.1 system the WB 45.194 will probably not work. You can only use WB 45.127 (any CPU) or better the patched 45.132 (on 68020 only) together with my icon.library. SetPatch 44.38 is ok.

Edit: WB 45.194 still works on OS 3.1, just tested it successfully.

Last edited by PeterK; 08 September 2020 at 19:07.
PeterK is offline  
Old 08 September 2020, 15:45   #6
npagonis73
Registered User

npagonis73's Avatar
 
Join Date: Sep 2019
Location: Corfu / Greece
Posts: 139
Peter thanks a lot. This was what I was looking for!!! By the way I would personally like to thank you for your amiga work and support with yr amazing icon.library!!!
npagonis73 is offline  
Old 08 September 2020, 16:54   #7
npagonis73
Registered User

npagonis73's Avatar
 
Join Date: Sep 2019
Location: Corfu / Greece
Posts: 139
One question Peter. Can’t find those workbench libs specifically for the 020. I am looking at www.amiga.foul.fr and the only version for 020 is the 45.134 workbench library. Any suggestions?
npagonis73 is offline  
Old 08 September 2020, 18:12   #8
PeterK
Registered User
 
Join Date: Apr 2005
Location: Hangover
Posts: 2,786
The last original workbench.library of OS 3.9 BB1 was 45.127, which was still compiled for 68000 = any CPU.

Later Mikolaj Calusinski fixed some bugs (ie. memleaks, not usable in ROM etc.), but he has compiled 45.128 - 45.131 for 68020 or better CPUs. This is not mentioned in the version strings of the libraries.

My own patch is based on the the code of his 45.131 for 68020, allows to use the workbench.library on OS 3.0+ and has some other fixes, too.

The versions 45.134 - 45.138 are all optimized by Cosmos, still for 68020+, but after testing them for over a year I finally found some new bugs, one with icon dragging and freezes during the file copying and one with deleting icons, but I don't remember anymore all of the details and other issues.

Of course, you can always use a library which was compiled for 68000 on all other CPUs, too. That are the official OS versions v44, v45 up to 45.127 and 45.194, but they may not work on OS 3.0.

Last edited by PeterK; 08 September 2020 at 19:05.
PeterK is offline  
Old 08 September 2020, 19:04   #9
PeterK
Registered User
 
Join Date: Apr 2005
Location: Hangover
Posts: 2,786
WB 45.194 still works on OS 3.1, just tested it successfully. But, of course, it needs a new icon.library, too (not v40).
PeterK is offline  
Old 08 September 2020, 19:16   #10
npagonis73
Registered User

npagonis73's Avatar
 
Join Date: Sep 2019
Location: Corfu / Greece
Posts: 139
Great info thanks. I guess using yr last icon library should be just fine
npagonis73 is offline  
Old 08 September 2020, 19:24   #11
Thomas Richter
Registered User
 
Join Date: Jan 2019
Location: Germany
Posts: 572
Quote:
Originally Posted by npagonis73 View Post
Are there any other setpatch or Workbench.library versions that match better the systems above; are those the latest versions or are there any other ones.

The best versions that match the system best are those that came with the system. (-:


In many, but not all systems, the corresponding newer setpatch version also includes all patches and fixes of a previous version. That is, the 3.1.4 version of SetPatch includes all fixes of the 3.1 and 3.9.


There is one exception, though. The 3.9 setPatch contains two otherwise independent system components that are not part of any other setpatch version.


First, there is the "RomUpdates" component that replaces ROM components. As of 3.1.4, this is taken over by LoadModule if it is used.


Second, there is "NSDPatch" which patches over existing devices to make them support NSD. NSDPatch is still available as a separate program on the install disk of 3.1.4, but it is no longer required as the file system and many other file systems also speak the competing (and more popular) TD64 standard, and the internal devices speak it, too, so it is no longer required - but you can use it if you like or need to.


Third, 1.3 SetPatch was a completely different beast, so you cannot mix 2.x/3.x setpatch with 1.3 setpatch.



Except that, it is a "continuously growing" program as each next version contains the patches of all previous versions.
Thomas Richter is offline  
Old 08 September 2020, 19:27   #12
npagonis73
Registered User

npagonis73's Avatar
 
Join Date: Sep 2019
Location: Corfu / Greece
Posts: 139
Thanks a lot Thomas for the analysis. It is very good to know all those parameters and that is why I open that post.
npagonis73 is offline  
Old 08 September 2020, 23:00   #13
npagonis73
Registered User

npagonis73's Avatar
 
Join Date: Sep 2019
Location: Corfu / Greece
Posts: 139
Is there anywhere i can find workbench.library 45.131?
npagonis73 is offline  
Old 09 September 2020, 01:23   #14
npagonis73
Registered User

npagonis73's Avatar
 
Join Date: Sep 2019
Location: Corfu / Greece
Posts: 139
Never mind I found it on BB updates from 3.9.
Thanks anyway
npagonis73 is offline  
 


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools

Similar Threads
Thread Thread Starter Forum Replies Last Post
3.1.4 SetPatch is very slow patrik support.Other 85 08 July 2020 21:21
Dune 2000 - The Return of the Online Multiplayer sandy Matches! ST Dragon Retrogaming General Discussion 7 03 March 2014 23:14
setpatch option andreas request.UAE Wishlist 4 13 August 2008 16:21
SetPatch: Unloading possible? mrleeman support.Apps 1 21 July 2008 10:06
where can i find setpatch 44.38 turrican3 request.Apps 5 07 May 2007 19:46

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT +2. The time now is 23:16.


Powered by vBulletin® Version 3.8.11
Copyright ©2000 - 2020, vBulletin Solutions Inc.
Page generated in 0.07839 seconds with 15 queries